## qt6-base 6.6.1+dfsg

=== debian/changelog ===
qt6-base (6.6.1+dfsg-5deepin3) unstable; urgency=medium

  * feat: Add QT_IM_MODULES env to allows specify multi IM key

 -- dengbo <dengbo@deepin.org>  Wed, 06 Mar 2024 13:55:09 +0800

qt6-base (6.6.1+dfsg-5deepin2) unstable; urgency=medium

  * Add Make-sure-hicolor-searched-before-dashfallbacks.patch.

 -- Mike Chen <chenke@deepin.org>  Wed, 17 Jan 2024 10:17:49 +0800

qt6-base (6.6.1+dfsg-5deepin1) unstable; urgency=medium

  * Add Allow-QPalettePrivate-to-be-used-outside-of-qpalette-cpp.patch.

 -- Tianyu Chen <sweetyfish@deepin.org>  Wed, 10 Jan 2024 16:48:46 +0800

qt6-base (6.6.1+dfsg-5) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Dec 2023 21:31:19 +0100

qt6-base (6.6.1+dfsg-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 07 Dec 2023 22:46:13 +0100

qt6-base (6.6.1+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 07 Dec 2023 20:10:57 +0100

qt6-base (6.6.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 06 Dec 2023 18:44:26 +0100

qt6-base (6.6.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Backport patch to fix accessibility support on Wayland.
  * Make qt6-base-dev depend on libqt6opengl6 again.
  * New upstream release (6.6.1).
  * Update ABI to 6.6.1.
  * Remove patches that have been applied upstream.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 04 Dec 2023 21:52:53 +0100

qt6-base (6.6.0+dfsg-6) experimental; urgency=medium

  [ Tianyu Chen ]
  * Update missing dependency on libxcb-cursor-dev.
  * Update list of installed files.
  * Update symbols.

  [ Patrick Franz ]
  * Remove flags to skip the inclusion of plugins as this is done via a
    patch now.

 -- Patrick Franz <deltaone@debian.org>  Fri, 03 Nov 2023 22:38:52 +0100

qt6-base (6.6.0+dfsg-5) experimental; urgency=medium

  * Team upload.
  * Add two patches:
    - be_verbose_on_plugin_inclusion.patch currently on upstream's Gerrit.
    - enable_skip_plugins.patch
    These set QT_SKIP_AUTO_PLUGIN_INCLUSION and
    QT_SKIP_AUTO_QML_PLUGIN_INCLUSION to ON by default, thus avoiding
    unnecessary build dependencies on plugins.
  * Refresh patches.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 02 Nov 2023 22:33:30 -0300

qt6-base (6.6.0+dfsg-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not include targets for plugins and QML plugins in cmake-files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Nov 2023 00:03:22 +0100

qt6-base (6.6.0+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Oct 2023 18:08:38 +0200

qt6-base (6.6.0+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename the virtual ABI package to qt6-base-private-abi.
  * Update symbols from buildlogs.
  * Move prf-files into qmake6-package (Closes: #1053824).

 -- Patrick Franz <deltaone@debian.org>  Thu, 12 Oct 2023 18:18:14 +0200

qt6-base (6.6.0+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Update ABI to 6.6.0.
  * Remove references to htmlinfo examples.
  * Remove patches that have been applied upstream.
  * Readjust patches for 6.6.0.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Install source code for examples (Closes: #1051494).
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Wed, 11 Oct 2023 21:00:14 +0200
