## qt6-base 6.6.2+dfsg

=== debian/changelog ===
qt6-base (6.6.2+dfsg-12) unstable; urgency=medium

  * Team upload.
  * Replace Qml2Imports (deprecated) with QmlImports in debian/qt.conf.in.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Sep 2024 22:08:16 +0300

qt6-base (6.6.2+dfsg-11) unstable; urgency=medium

  * Team upload.
  * Add a patch to use _Float16 only when SSE2 is enabled (closes: #1076986).
  * Backport upstream patch to fix QGtk3Interface::fileIcon with GLib ≥ 2.76.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 02 Aug 2024 18:24:23 +0300

qt6-base (6.6.2+dfsg-10) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 7d9d1220f367d9275dfaa7ce12e89b0a9f4c1978 to use
    also the zstd::libzstd cmake target, if available; patch
    upstream_Prefer-using-the-non-suffixed-libzstd-over-static-on.patch.
  * Backport upstream commit 3073b9c4dec5e5877363794bf81cbd4b84fdb9ee to promote
    the libzstd cmake targets to global; patch
    upstream_Ensure-that-libzstd-targets-are-promoted-to-global-i.patch.

 -- Pino Toscano <pino@debian.org>  Tue, 16 Jul 2024 21:53:21 +0200

qt6-base (6.6.2+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Drop the unused ${perl:Depends} substvar from qt6-base-dev-tools, and
    qmake6.
  * Exclude one symbol in libqt6core6t64.symbols from hurd-i386, as it is not
    available on x86 architectures.
  * Update install files for more Linux-only bits.
  * Enable the Vulkan support on all the architectures (i.e. not only on
    Linux), as vulkan-loader is portable, and now available also on non-Linux
    architectures in Debian:
    - remove the linux-any limitation for the libvulkan-dev build and runtime
      dependency
    - remove the linux-any limitation for the vulkan-related symbols in
      libqt6gui6.symbols
    - remove the linux-any limitation for the vulkan-related files in install
      files
  * Sort the install files.
  * Backport upstream commit f319895389705a3db7c2134d1ed47ceade1b204e to fix
    the build on the Hurd; patch
    upstream_IPC-add-PATH_MAX-less-fallback-definition-for-MAX_PA.patch.
  * Copy/import the patch armv4.diff from Qt5 to support ARMv4; it is needed
    to be able to build Qt6 bits with clang 16 and older, which in Debian still
    defaults to ARMv4.

 -- Pino Toscano <pino@debian.org>  Fri, 05 Jul 2024 07:44:11 +0200

qt6-base (6.6.2+dfsg-8) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove the temporary Provides for the t64-suffix.
  * Handle upstream ABI break (Closes: #1071193, #1071436).

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:11:40 +0200

qt6-base (6.6.2+dfsg-7) experimental; urgency=medium

  [ Patrick Franz ]
  * Add temporary Provides to libraries without the t64 suffix.

 -- Patrick Franz <deltaone@debian.org>  Fri, 03 May 2024 23:49:40 +0200

qt6-base (6.6.2+dfsg-6) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6core6 back to libqt6core6t64.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 May 2024 15:02:09 +0200

qt6-base (6.6.2+dfsg-5) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Add HostLibraryExecutables to debian/qt.conf.in (closes: #1060267).
    Thanks Maarten van der Schrieck!
  * Use time_t subst for the qLocalTime(time_t, tm*) symbol.

  [ Patrick Franz ]
  * Revert renaming libraries from the time_t transition.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 May 2024 00:48:20 +0200

qt6-base (6.6.2+dfsg-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Add B-Ds for XCB.
  * Do not reduce the amount of relocations (Closes: #1059249).
  * Clean up cmake-arguments.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Feb 2024 19:43:30 +0100

qt6-base (6.6.2+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not run tests when building the documentation (Closes: #1064199).

 -- Patrick Franz <deltaone@debian.org>  Sun, 18 Feb 2024 13:27:27 +0100

qt6-base (6.6.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 18 Feb 2024 10:32:20 +0100

qt6-base (6.6.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Update ABI to 6.6.2.
  * Refresh patches and remove patches that have been applied upstream.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Feb 2024 19:44:16 +0100

qt6-base (6.6.1+dfsg-6) experimental; urgency=medium

  [ Patrick Franz ]
  * Rebuild with fix for the latest CVE included.

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Jan 2024 17:55:50 +0100
