=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
                debhelper-compat (= 13),
                default-libmysqlclient-dev,
                dh-exec,
+               dpkg-dev (>= 1.22.5),
                firebird-dev (<< 4.0~) [linux-any],
                libatspi2.0-dev,
                libb2-dev,
@@ -40,26 +41,40 @@
                libsystemd-dev [linux-any],
                libts-dev,
                libudev-dev [linux-any],
-               libvulkan-dev [linux-any],
+               libvulkan-dev,
                libwayland-dev [linux-any],
                libx11-dev,
                libx11-xcb-dev,
+               libxcb-composite0-dev,
                libxcb-cursor-dev,
+               libxcb-damage0-dev,
+               libxcb-dpms0-dev,
+               libxcb-dri2-0-dev,
+               libxcb-dri3-dev,
+               libxcb-ewmh-dev,
                libxcb-glx0-dev,
                libxcb-icccm4-dev,
                libxcb-image0-dev,
                libxcb-keysyms1-dev,
+               libxcb-present-dev,
                libxcb-randr0-dev,
+               libxcb-record0-dev,
                libxcb-render-util0-dev,
                libxcb-render0-dev,
+               libxcb-res0-dev,
+               libxcb-screensaver0-dev,
                libxcb-shape0-dev,
                libxcb-shm0-dev,
                libxcb-sync-dev,
                libxcb-util-dev,
+               libxcb-xf86dri0-dev,
                libxcb-xfixes0-dev,
                libxcb-xinerama0-dev,
                libxcb-xinput-dev,
                libxcb-xkb-dev,
+               libxcb-xtest0-dev,
+               libxcb-xv0-dev,
+               libxcb-xvmc0-dev,
                libxcb1-dev,
                libxext-dev,
                libxfixes-dev,
@@ -69,8 +84,8 @@
                libxrender-dev,
                libzstd-dev,
                ninja-build,
-               pkg-config,
                pkg-kde-tools (>= 0.15.17~),
+               pkgconf,
                qt6-base-dev:native <cross>,
                unixodbc-dev,
                zlib1g-dev,
@@ -83,13 +98,15 @@
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-base.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-base
 
-Package: libqt6core6
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Provides: qt6-base-private-abi (= 6.6.1),
+Package: libqt6core6t64
+Provides: qt6-base-private-abi (= 6.6.2), ${t64:Provides},
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends},
 Recommends: qt6-translations-l10n,
+Breaks: libqt6core6 (<< ${source:Version}), libqt6core5compat6 (<< 6.6.0~)
+Replaces: libqt6core6,
 Description: Qt 6 core module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -101,6 +118,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt6concurrent6t64 (<< ${source:Version}),
+Replaces: libqt6concurrent6t64,
 Description: Qt 6 concurrent module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -113,6 +132,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt6dbus6t64 (<< ${source:Version}),
+Replaces: libqt6dbus6t64,
 Description: Qt 6 D-Bus module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -129,8 +150,9 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends},
-Breaks: qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
-Replaces: qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
+Breaks: libqt6gui6t64 (<< ${source:Version}),
+        qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
+Replaces: libqt6gui6t64, qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
 Recommends: qt6-gtk-platformtheme, qt6-qpa-plugins, qt6-wayland [linux-any],
 Description: Qt 6 GUI module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -183,8 +205,9 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
-Replaces: qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
+Breaks: libqt6opengl6t64 (<< ${source:Version}),
+        qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
+Replaces: libqt6opengl6t64, qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
 Description: Qt 6 OpenGL module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -200,6 +223,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt6openglwidgets6t64 (<< ${source:Version}),
+Replaces: libqt6openglwidgets6t64,
 Description: Qt 6 OpenGL widgets module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -217,8 +242,9 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${libssl:Depends}, ${misc:Depends}, ${shlibs:Depends},
-Breaks: qt6-qpa-plugins (<< 6.2.4+dfsg-5~),
-Replaces: qt6-qpa-plugins (<< 6.2.4+dfsg-5~),
+Breaks: libqt6network6t64 (<< ${source:Version}),
+        qt6-qpa-plugins (<< 6.2.4+dfsg-5~),
+Replaces: libqt6network6t64, qt6-qpa-plugins (<< 6.2.4+dfsg-5~),
 Description: Qt 6 network module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -232,6 +258,8 @@
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Recommends: libqt6sql6-sqlite | libqt6sql6-mysql | libqt6sql6-odbc | libqt6sql6-psql | libqt6sql6-ibase,
+Breaks: libqt6sql6t64 (<< ${source:Version}),
+Replaces: libqt6sql6t64,
 Description: Qt 6 SQL module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -299,41 +327,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt6test6t64 (<< ${source:Version}),
+Replaces: libqt6test6t64,
 Description: Qt 6 test module
  Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- The QtTest module provides classes for unit testing Qt applications and
- libraries.
-
-Package: libqt6widgets6
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 widgets module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- The QtWidgets module extends QtGui with C++ widget functionality.
-
-Package: libqt6xml6
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 XML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- The QtXml module provides a stream reader and writer for XML documents,
- and C++ implementations of SAX and DOM.
-
-Package: libqt6printsupport6
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Recommends: libcups2,
-Description: Qt 6 print support module
- Qt is a cross-platform C++ application framework. Qt's primary feature
