## qt6-base 6.7.2+dfsg

=== debian/changelog ===
qt6-base (6.7.2+dfsg-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Create <triplet>-qtpaths6 cross wrapper (Closes: 1057346).
  * Fix FTCBFS: Update debian/not-installed. (Closes: #1089600)

  [ Sandro Knauß ]
  * Install the qtpaths6 wrapper scripts within qt6-base-dev.
  * Remove version contrain on firebird-dev, as it does not exist << 4.0
    anymore.

 -- Sandro Knauß <hefee@debian.org>  Sun, 02 Feb 2025 13:00:45 +0100

qt6-base (6.7.2+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Let libqt6gui6 recommend qt6-svg-plugins.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Dec 2024 22:49:21 +0100

qt6-base (6.7.2+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Backport upstream commit fc3e3d033584c62dfb2f3e3da551a7dbd7c0150d to fix
    the build on the Hurd; patch
    upstream_QStorageInfo-Unix-fix-declaration-of-mnt-on-Hurd.patch.
  * Update the symbols files:
    - mark some Linux symbols as such
    - mark 64bit symbols as such
    - drop ia64 markers, as that architecture was discontinued

  [ Patrick Franz ]
  * Do not ship the androiddeployqt tool any more and always use
    androiddeployqt6 instead. Also, add a symlink for androiddeployqt6
    in /usr/bin.

 -- Pino Toscano <pino@debian.org>  Wed, 23 Oct 2024 19:35:31 +0200

qt6-base (6.7.2+dfsg-3) unstable; urgency=medium

  * Merge 6.6.2+dfsg-12 upload from unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:12:57 +0200

qt6-base (6.7.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Bump B-Ds for the documentation to 6.7.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Aug 2024 12:31:00 +0200

qt6-base (6.7.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Remove patches that have been applied upstream.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update ABI to 6.7.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 29 Aug 2024 01:31:57 +0200
