=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                default-libmysqlclient-dev,
                dh-exec,
                dpkg-dev (>= 1.22.5),
-               firebird-dev (<< 4.0~) [linux-any],
+               firebird-dev [linux-any],
                libatspi2.0-dev,
                libb2-dev,
                libcups2-dev,
@@ -89,9 +89,9 @@
                qt6-base-dev:native <cross>,
                unixodbc-dev,
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
@@ -99,13 +99,13 @@
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-base
 
 Package: libqt6core6t64
-Provides: qt6-base-private-abi (= 6.6.2), ${t64:Provides},
+Provides: qt6-base-private-abi (= 6.7.2), ${t64:Provides},
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends},
 Recommends: qt6-translations-l10n,
-Breaks: libqt6core6 (<< ${source:Version}), libqt6core5compat6 (<< 6.6.0~)
+Breaks: libqt6core5compat6 (<< 6.6.0~), libqt6core6 (<< ${source:Version}),
 Replaces: libqt6core6,
 Description: Qt 6 core module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -153,7 +153,10 @@
 Breaks: libqt6gui6t64 (<< ${source:Version}),
         qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
 Replaces: libqt6gui6t64, qt6-qpa-plugins (<< 6.3.1+dfsg-6~),
-Recommends: qt6-gtk-platformtheme, qt6-qpa-plugins, qt6-wayland [linux-any],
+Recommends: qt6-gtk-platformtheme,
+            qt6-qpa-plugins,
+            qt6-svg-plugins,
+            qt6-wayland [linux-any],
 Description: Qt 6 GUI module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -330,4 +333,3 @@
 Breaks: libqt6test6t64 (<< ${source:Version}),
 Replaces: libqt6test6t64,
 Description: Qt 6 test module
- Qt is a cross-platform C++ application framework. Qt's primary feature
